Summary: Lists lock files held by processes.
Name: lslk
Version: 1.18
Release: 1
Copyright: Free
Group: Utilities/File
Source: ftp://vic.cc.purdue.edu/pub/tools/unix/lslk/lslk_%{version}_W.tar.gz
Prefix: /usr
Buildroot: /var/tmp/%{name}-%{version}-root

%description
The UNIX lock file lister, lslk, attempts to list all the locks
held on the local files of the executing system -- i.e., on the
active inodes.  The locks may come from local processes or remote
ones on NFS clients, served by the executing system.  Note:  Linux
and PTX 2.1.9 lslk don't report on locks held by remote NFS client
processes.

%prep
%setup -q -c -n lslk
tar xf lslk_%{version}.tar
cd lslk_%{version}

%build
rm -rf $RPM_BUILD_ROOT
cd lslk_%{version}
./Configure -n linux
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{sbin,man/man8}

cd lslk_%{version}
install -s lslk $RPM_BUILD_ROOT/usr/sbin
install lslk.8 $RPM_BUILD_ROOT/usr/man/man8/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
# XXX should be mode 4755, but for now leave the setuid off
%attr(2755,root,kmem) /usr/sbin/lslk
/usr/man/man8/lslk.8

%changelog
* Sat Sep 19 1998 Jeff Johnson <jbj@redhat.com>
- create.
- leave the setuid root off.
